#include <stdio.h>
#define N 10

int main(){
	char array[N] = { 'f', 's', 'c', 'k', 'e', 'b', 'e', 'g', 'i', 'q' };
	char sorted[N];
	int i, j;

	for(i=0; i<N; i++) printf("%c", array[i]);
	printf("\n");

	for(i=0; i<N; i++){
		/* Seleziona l'elemento minimo dall'array */
		char min='z'+1;
		int pos=-1;
		for(j=0; j<N; j++)
			if(array[j]<min){
				pos=j;
				min=array[j];	
			}
		/* Copia l'elemento minimo nella posizione corrente in sorted */
		sorted[i]=min;
		/* Aumenta la posizione corrente in sorted e annulla l'elemento in array */ 
		array[pos]='z'+1;
	}

	for(i=0; i<N; i++) printf("%c", array[i]);
	printf("\n");
	for(i=0; i<N; i++) printf("%c", sorted[i]);
	printf("\n");

	return 0;
}
